Update Connection in Data Integration

Use this REST API to update a specific connection that is saved in an application.

Using this REST API requires prerequisites, such as understanding how to use jobs. See Prerequisites. Be sure that you understand how to use jobs as described in Managing Jobs

Note:

If optionName is password, consumerSecret, or tokenSecret, then optionValue must be an encrypted value. Plain (unencrypted) values are not accepted.

To encrypt a password, consumerSecret, or tokenSecret, use the EPM Automate encrypt command to create an .epw file. Specify the encrypted value (the contents of the .epw file) as the value of optionValue. See Using OAuth 2.0 Authorization Protocol and Authentication with OAuth 2 for more information.

REST Resource

PUT /aif/rest/{api_version}/objects/connections

Required Roles

Service Administrator, Power User

Request

Supported Media Types: application/json

Parameters:

Table 3-173 Parameters

Name Description Type Required Default
sourceSystemID Identifier of the source system connection to update. Payload Yes None
sourceSystemName Name of the source system connection. Payload Yes None
sourceSystemType Type of the source system (for example, Oracle HCM Cloud). Payload Yes None
sourceSystemOptions List of options used to configure the connection.

If optionName is password, consumerSecret, or tokenSecret, then optionValue must be an encrypted value. Plain (unencrypted) values are not accepted.

Payload Yes None
username Ussername with Service Administrator application role. Payload Yes None
password

Encrypted password for the user. For security reasons, only an encrypted value is accepted. .

Payload Yes None
serviceURL Base URL of the target source system. Payload Yes None
consumerSecret Consumer secret that authorizes the client making the request. For security reasons, only an encrypted value is accepted. Payload Yes None
tokenSecret Token secret used to generate the request signature. For security reasons, only an encrypted value is accepted. Payload Yes None

Example URL

https://<BASE-URL>/aif/rest/v1/objects/connections/

Example of Request Body

{
  "sourceSystemId": "<SOURCE_SYSTEM_ID>",
  "sourceSystemName": "<SOURCE_SYSTEM_NAME>",
  "sourceSystemType": "<SOURCE_SYSTEM_TYPE>",
  "sourceSystemOptions": [
    {
      "optionValue": "<USERNAME>",
      "optionName": "userName"
    },
    {
      "optionValue": "https://<SERVICE_URL>",
      "optionName": "serviceURL"
    },
    {
      "optionValue": "<******>",
      "optionName": "password"
    }
  ]
}

Response

Supported Media Type: application/json

Table 3-174 Parameters

Parameters Description
details In case of errors, details are published with the error string.

Example of Response Body

{
"status": 0,
"details": null,
"response": "Updated source connection object Test6 successfully"
}

Sample cURL command (Get the objects associated with Data Integration)

curl -G -H "Content-Type: application/json" -u <USERNAME> "https://<BASE-URL>/aif/rest/V1/objects"

Sample cURL command (Get the connection objects associated with Data Integration)

curl -G -H "Content-Type: application/json" -u <USERNAME> "https://<BASE-URL>/aif/rest/V1/objects/connections"

Sample cURL command (Get information about a Data Integration connection object)

curl -G -H "Content-Type: application/json" -u <USERNAME> "https://<BASE-URL>/aif/rest/V1/objects/connections/<CONNECTION_NAME>"